#cs ----------------------------------------------------------------------------

	AutoIt Version: 3.3.6.1
	Author:         Johannes Mitlmeier

	Script Function:
	Demonstrate ODT UDF functions.

#ce ----------------------------------------------------------------------------


#include "odt.au3"

; Laden
$odt = _ODTUnpack(@ScriptDir & "\testfile.odt", @ScriptDir & "\testdir")
$content = _ODTGetContent($odt)

; ndern
$content = StringReplace($content, "mir", @UserName)
$content = StringReplace($content, '<style:style style:name="T1" style:family="text"><style:text-properties fo:font-weight="bold" ', '<style:style style:name="T1" style:family="text"><style:text-properties fo:font-weight="normal" ')

; Speichern
_ODTSetContent($odt, $content)
_ODTRepack(@ScriptDir & "\testdir", @ScriptDir & "\testfile.odt", @ScriptDir & "\testfile2.odt")

; Starten
ShellExecute(@ScriptDir & "\testfile2.odt")
